import os
from pathlib import Path

__all__ = ('root', 'myroot', 'host', 'port', 'cakey', 'caurl',)

root = Path(os.getenv('v6root', './data'))
assert root.exists()
myroot = root / 'v6d0auth'
myroot.mkdir(exist_ok=True)
host = os.getenv('v6host', '127.0.0.1')
port = int(os.getenv('v6port', '5003'))
cakey = bytes.fromhex(os.getenv('v6ca', ''))
caurl = os.getenv('v6caurl', f'http://127.0.0.1:{port}')
